Bug 175464 - alsa-utils gives segfault after update
alsa-utils gives segfault after update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-11 00:21 EST by Frank Wang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-08 06:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Wang 2005-12-11 00:21:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After latest upgrade using "yum update", utility like alsamixer in alsa-utils-1.0.10-1.FC4 starts giving segmentation fault in FC4. The kernel is 2.6.14-1.1644_FC4 and the soundcard is Creative SB AudioPCI 64V, pci based, using ens1371 driver. Dmesg still report following error as in Bug 154961:
...
irq 5: nobody cared (try booting with the "irqpoll" option)
...
kernel: Disabling IRQ #5
...


Version-Release number of selected component (if applicable):
alsa-utils-1.0.10-1.FC4.i386.rpm 

How reproducible:
Always

Steps to Reproduce:
1. Upgrade alsa-utils to 1.0.10-1.FC4
2. reboot using 2.6.14-1.1644_FC4 kernel
3.
  

Actual Results:  Alsamixer gives segfault.

Expected Results:  Of course no such error reported.

Additional info:
Comment 1 Martin Stransky 2005-12-12 11:57:43 EST
Could you attach the stack-trace after alsamixer crashs?
Comment 2 Frank Wang 2005-12-14 08:32:02 EST
gdb alsamixer
...
(gdb) run
gdb /usr/bin/alsamixer
....
(gdb) run
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208424768 (LWP 3166)]
0x00000000 in ?? ()
(gdb) bt
#0  0x00000000 in ?? ()
#1  0x0804b921 in ?? ()
#2  0x0804f033 in ?? ()
#3  0x43326d5f in __libc_start_main () from /lib/libc.so.6
#4  0x0804a141 in ?? ()
(gdb)
Comment 3 Martin Stransky 2005-12-14 08:40:45 EST
Have you installed a debuginfo package? I need some symbols of course...
Comment 4 Frank Wang 2005-12-14 12:10:12 EST
Sorry for incomplete info. I just followed instruction in "gdb mini intro" from
http://linux.bytesex.org/gdb.html and this is my first time using gdb. If I miss
any step again, please let me know.

rpm -Uvh alsa-utils-debuginfo-1.0.10-1.FC4.i386.rpm
gdb alsamixer
...
/usr/bin/alsamixer: relocation error: /usr/bin/alsamixer: symbol
snd_mixer_selem_get_playback_dB, version ALSA_0.9 not defined in file
libasound.so.2 with link time reference

Program exited with code 0177.
(gdb) bt
No stack.
(gdb)


Latest kernel 2.6.14-1.1653_FC4 has similar result.
[frank@twinhead ~]$ uname -r
2.6.14-1.1653_FC4
gdb alsamixer
...
/usr/bin/alsamixer: relocation error: /usr/bin/alsamixer: symbol
snd_mixer_selem_get_playback_dB, version ALSA_0.9 not defined in file
libasound.so.2 with link time reference

Program exited with code 0177.
(gdb) bt
No stack.
(gdb)
Comment 5 Martin Stransky 2005-12-22 11:11:53 EST
Could you please check this alsa-lib package?

http://people.redhat.com/stransky/alsa-lib-1.0.10-1.FC4.test.src.rpm

You have to recompile it, REMOVE the old one (which comes with FC4 update) and
install it.
Comment 6 Frank Wang 2005-12-25 05:14:48 EST
Tried alsa-lib-1.0.10-1.FC4.test.src.rpm. There is no segfault reported this
time but alsamixer still has problem starting. Here is what I did. If further
info needed, pls let me know.
1. rpm -i http://people.redhat.com/stransky/alsa-lib-1.0.10-1.FC4.test.src.rpm
2. rpmbuild -bb /usr/src/redhat/SPECS/alsa-lib.spec
3. cd /usr/src/redhat/RPMS && rpm -Uvh --oldpackage
alsa-lib-1.0.10-1.FC4.test.i386.r
pm alsa-lib-devel-1.0.10-1.FC4.test.i386.rpm
alsa-lib-debuginfo-1.0.10-1.FC4.test.i386.rpm
4. rpm -qa | grep alsa
alsa-utils-1.0.10-1.FC4
alsa-lib-1.0.10-1.FC4.test
alsa-lib-debuginfo-1.0.10-1.FC4.test
alsa-lib-devel-1.0.10-1.FC4.test

5. alsamixer
alsamixer: relocation error: alsamixer: symbol snd_mixer_selem_get_playback_dB,
version ALSA_0.9 not defined in file libasound.so.2 with link time reference

6. gdb alsamixer
...
(gdb) run
/usr/bin/alsamixer: relocation error: /usr/bin/alsamixer: symbol
snd_mixer_selem_get_playback_dB, version ALSA_0.9 not defined in file
libasound.so.2 with link time reference

Program exited with code 0177.
(gdb) bt
No stack.
(gdb) quit
Comment 7 Martin Stransky 2006-01-05 03:10:57 EST
Do you have installed the libasound2 package or any other? See bug 175255 comment 27
Comment 8 Frank Wang 2006-01-07 13:15:15 EST
Yes, /usr/lib/alibasound.so.2 doesn't belong to any package, removing
/usr/lib/alibasound.so.2 makes alsamixer working again.

Note You need to log in before you can comment on or make changes to this bug.